CH_OPEN_AND_FILL_MEMORY(3)

FUNCTION
ch_open_and_fill_memory - Create and fill memory channel.

SYNOPSIS
#include <karma_ch.h>

Channel ch_open_and_fill_memory

(char **strings)

DESCRIPTION
This routine will open a memory channel with sufficient space to contain a list of strings.

strings
    The NULL terminated array of string pointers. The strings are written with a NEWLINE character to terminate the string. The NULL terminator character is not written.

RETURN VALUE
A channel object on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/